import request from "../request";

// 报名
export function postBaoming(data) {
  return request({
    url: '/train/training/apply',
    method: 'post',
    data,
  })
}

export function postBaomingNoToken(data) {
  return request({
    url: '/train/training/offApply',
    method: 'post',
    data,
    headers: {
      isToken: false
    }
  })
}


export function getSignUpList(query) {
    return request({
      url: `/train/trainClassList`,
      method: 'get',
      params: query,
    })
}
export function getmySignUpList(query) {
    return request({
      url: `/train/myTrainingList`,
      method: 'get',
      params: query,

    })
}


// 班级列表get /train/portal
export function getClassList(query) {
  return request({
    url: `/train/portal`,
    method: 'get',
    params: query,
    headers: {
      isToken: false
    }
  })
}

// 报名
